JNA API 3.2.7

## com.sun.jna
Class StringArray

    java.lang.Object
      com.sun.jna.Pointer
          com.sun.jna.Memory
              com.sun.jna.StringArray

All Implemented Interfaces:
  Function.PostCallRead

    public class StringArray

extends Memory
implements Function.PostCallRead

Handle native array of `char*` or `wchar_t*` type by managing allocation/disposal of native strings within an array of pointers. An extra NULL pointer is always added to the end of the native pointer array for convenience.

Field Summary

Fields inherited from class com.sun.jna.Memory
`size`

Fields inherited from class com.sun.jna.Pointer
`NULL, peer, SIZE`

Constructor Summary
`StringArray(String[] strings)` Create a native array of strings.
`StringArray(String[] strings, boolean wide)` Create a native array of wide strings.
`StringArray(WString[] strings)` Create a native array of wide strings.

Method Summary
`void` | `read()` Read back from native memory.

Methods inherited from class com.sun.jna.Memory
`align, boundsCheck, clear, finalize, free, getByte, getByteBuffer, getChar, getDouble, getFloat, getInt, getLong, getPointer, getShort, getSize, getString, isValid, malloc, purge, read, read, read, read, read, read, read, setByte, setChar, setDouble, setFloat, setInt, setLong, setPointer, setShort, setString, share, share, size, toString, valid, write, write, write, write, write, write, write`

Methods inherited from class com.sun.jna.Pointer
`_setMemory, clear, createConstant, createConstant, equals, getByteArray, getCharArray, getDoubleArray, getFloatArray, getIntArray, getLongArray, getNativeLong, getPointerArray, getPointerArray, getShortArray, getString, getStringArray, getStringArray, getStringArray, getStringArray, getValue, hashCode, indexOf, nativeValue, nativeValue, read, setMemory, setNativeLong, setString, setValue, write`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringArray

    public StringArray(String[] strings)

  Create a native array of strings.

### StringArray

    public StringArray(String[] strings,
                       boolean wide)

  Create a native array of wide strings.

### StringArray

    public StringArray(WString[] strings)

  Create a native array of wide strings.

Method Detail

### read

    public void read()

  Read back from native memory.

  Specified by:
    `read` in interface `Function.PostCallRead`

JNA API 3.2.7

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.